# Create new Connection

This section describes how to create a new text connection. Creating other connection types is similar.

## Create New Text Connection

1. Click **New Connection** button on the top left corner to create a new connection.![New Text Connection](/img/connection/new_conn/new_con1.png)

2. Install text driver if you do not have it (skip to step 9 if you already had one). Click **Download and Install** to install the required driver. ![Download Text Driver](/img/connection/new_conn/new_con2.png)

3. The progress bar will show the download progress. Once the download completes, the installation will run automatically. ![Download Completed](/img/connection/new_conn/new_con3.png)

4. Click **Yes** to accept the driver installation. ![User Access Control](/img/connection/new_conn/new_con4.png)

5. Click **Next** to continue. ![Welcome Wizard]](/img/connection/new_conn/new_con5.png)

6. Read the license agreement carefully and check accept box. Click **Next** to continue. ![License Agreement](/img/connection/new_conn/new_con6.png)

7. Select install location and click **Install**. ![Install Location](/img/connection/new_conn/new_con7.png)

8. Click **OK** to continue. ![Installation Completed](/img/connection/new_conn/new_con8.png)

9. Enter **Connection Name** and click **Browse**. ![Enter Connection Info](/img/connection/new_conn/new_con9.png)

10. Select a text file and click **Open**. ![Select File](/img/connection/new_conn/new_con10.png)

11. The preview panel will show the content of your text file. Click **Save** to save connection. Click **Define Custom Format** if what you see in the preview is not what you expect. ![Preview and Save](/img/connection/new_conn/new_con11.png)

12. The newly created connection will show on the **Connection** section of the Home tab page. ![Welcome Wizard](/img/connection/new_conn/new_con12.png)

## Create New Excel Connection

1. Create a new Excel connection is very similar to creating a text connection. Enter **Connection Name** and click **Browse** to browse to the file location. ![New Excel Connection](/img/connection/new_conn/new_con13.png)

## Create New SQLite Connection

1. Enter **Connection Name** and click **Browse** to browse to the file location. Enter **Password** if your datatbase file is password-protected. ![New SQLite Connection](/img/connection/new_conn/new_con14.png)

## Create New PostgreSQL Connection

1. Enter **Connection Name** and the PostgreSQL server information. Click **Advanced** for more options. ![New PostgreSQL Connection - General](/img/connection/new_conn/new_con15.png)

2. Enter **Initial Database** if you want to set a default database when open the connection. Click **Save** to complete adding new connection. ![New PostgreSQL Connection - Advanced](/img/connection/new_conn/new_con16.png)

## Create New MySQL Connection

1. Enter **Connection Name** and the PostgreSQL server information. Click **Save** to complete adding new connection. ![New MySQL Connection](/img/connection/new_conn/new_con17.png)

## Create New Microsoft SQLServer Connection

1. Enter **Connection Name** and the SQLServer server information. Vytics supports both **Windows Authentication** and **Server Authentication**. Click **Advanced** for more options. ![New SQLServer Connection - General](/img/connection/new_conn/new_con18.png)

2. Enter **Initial Database** if you want to set a default database when open the connection. Click **Save** to complete adding new connection. ![New SQLServer Connection - Advanced](/img/connection/new_conn/new_con19.png)
