# Project Data

A **Data** is a model where you specify how you structure or merge/join data either vertically or horizontally. You can create a **Data** from one or multiple connections.

## Create new data

To create a new data, follow steps below.

1. Click on project name **Home Energy** to open the project. ![Open Project](/img/project/open.png)

2. Click on **New Data** to create a new data. ![Open New Data dialog](/img/project/data/data0.png)

3. The **New Data** dialog will display. Select **home_energy_consumption** from the **Connection** drop-down. ![Select energy connection](/img/project/data/data1.png)

4. The **Database** and **Table** fields are auto-populated because the connection is text-based. Click on the triangle icon to push the data source to the model pane. ![Energy data source auto select](/img/project/data/data2.png)

5. The data for the **home_energy_consumption** will be displayed in the **Data Preview**. ![Energy data added](/img/project/data/data3.png)

6. Similarly, add **weather_Sceaux_France** to the data model. ![Add weather data to model](/img/project/data/data4.png)

7. Click on the overlapped circles icon to select merge/join field. ![Open Join Pane](/img/project/data/data5.png)

8. Vytics supports 4 types of merge/join. Default selection is **Inner Join**. Click on the question mark icon the top right corner to get more details. Select left and right join fields from the drop-down. The **Data Preview** will auto update after the selection completes. ![Enter Join Info](/img/project/data/data6.png)

9. Enter data name and data description and click **Save**. ![Enter Data Info](/img/project/data/data7.png)

10. The new data **Energy with Weather** is added. ![New Data added](/img/project/data/data8.png)

## View/edit/rename/remove data

To view/edit/rename/remove data, right click on the data and select the option accordingly. ![View/edit/rename/remove Data](/img/project/data/data9.png)
